/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::CAN
 * Copyright (c) 2004-2019 Arm Limited (or its affiliates). All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c
 * Purpose: CAN RTR Example main module
 *----------------------------------------------------------------------------*/

#include "main.h"
#include "LPC18xx.h"                    // Device header
#include "Board_GLCD.h"                 // ::Board Support:Graphic LCD


/*------------------------------------------------------------------------------
 * main function
 *----------------------------------------------------------------------------*/
int main (void) {

  SystemCoreClockUpdate ();                        // System Initialization

#if (CAN_UI_GLCD == 1)
  GLCD_Initialize ();                              // Initialize Graphical LCD
#endif

  osKernelInitialize ();                           // Initialize CMSIS-RTOS
  osThreadNew (app_main, NULL, &app_main_attr);    // Create application main thread
  osKernelStart ();                                // Start thread execution
  
  for (;;) {}
}
